/*==================== GOOGLE FONTS ====================*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=M+PLUS+1p:wght@100;400&family=Montserrat+Alternates:ital,wght@0,100;0,200;0,300;0,500;0,600;0,700;0,800;0,900;1,100;1,500;1,600;1,700;1,800;1,900&display=swap");
/*==================== VARIABLES CSS ====================*/
:root {
  --header-height: 4rem;

  /*========== Colors ==========*/
  /* Change favorite color */
  --hue-color: 23; /*250; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

  /* HSL color mode first color --> Hex	#f9660b*/
  --first-color: #35374b;
  --light-grey: hsl(0, 2%, 11%);
  --dull-green: hsl(193, 21%, 40%);
  --highlight-color: #8f84e3;
  --highlight-color-second: #5c5591;
  --highlight-color-alt: #8296bd;
  --highlight-color-lighter: hsl(var(--hue-color), 82%, 65%);
  --title-color: hsl(0, 33%, 98%);
  --heading-color: #344955;

  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #fff;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);

  /*========== Font and typography ==========*/
  --body-font: "Poppins", sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --big-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;
  --smaller-font-size: 0.75rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-light: 300;

  /*========== Margenes Bottom ==========*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;
}

/* Font size for large devices */
@media screen and (min-width: 968px) {
  :root {
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
    --smaller-font-size: 0.813rem;
  }
}

.nav__btns {
  display: flex;
  padding-left: 3%;
  align-items: center;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}
h1,
h2,
h3,
h4 {
  color: var(--heading-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
}

/*==================== REUSABLE CSS CLASSES ====================*/
.section {
  padding: 2rem 0 4rem;
}

.section__title {
  font-size: var(--h1-font-size);
  color: var(--heading-color);
}

.section__subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}

.section__title,
.section__subtitle {
  text-align: center;
}

/*==================== LAYOUT ====================*/
.container {
  max-width: 768px;
  margin-left: var(--mb-0-5);
  margin-right: var(--mb-0-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: #35374b;
}
/*==================== NAV ====================*/
.nav {
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav__item {
  margin-top: 16px;
  width: 90%;
  text-align: center;
  font-family: "Montserrat Alternates", sans-serif;
  font-weight: 300;
  line-height: 50px;
  font-size: 1em;
  padding-right: 30px;
  padding-left: 30px;
  margin-inline: 5px;
  border-top: inset rgb(252, 249, 249) 1px;
}

.nav__toggle {
  color: var(--title-color);
  font-weight: var(--font-medium);
  font-size: 1.1rem;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .nav__menu {
    position: fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: 0.3s;
  }
}

.nav__list {
  grid-template-columns: repeat(3, 1fr);
  gap: 1.5rem;
}

.nav__link {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--font-medium);
  color: var(--title-color);
  font-weight: var(--font-light);
}
.nav__item:hover {
  border-top: solid rgb(252, 249, 249) 2px;
  border-width: 3px;
}

.nav__item:hover a {
  color: var(--highlight-color);
}

.nav__icon {
  font-size: 1.2rem;
  color: var(--light-grey);
}
.nav__item:hover .nav__icon {
  color: var(--highlight-color);
}

.nav__close {
  position: absolute;
  right: 1.3em;
  bottom: 0.5rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--first-color);
}
.uil-apps {
  font-size: 2rem;
}
.uil-apps:hover {
  color: var(--highlight-color-alt);
}
.nav__close:hover {
  color: var(--highlight-color);
}

/* show menu */
.show-menu {
  bottom: 0;
}

/* Active link */
.active-link {
  border-top: solid rgb(252, 249, 249) 2px;
  border-width: 3px;
}
/* Change background header */
.scroll-header {
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
}

/*==================== HOME ====================*/
.home__container {
  gap: 1rem;
}

.home__content {
  grid-template-columns: 0.5fr 3fr;
  padding-top: 3.5rem;
  align-items: center;
}

.home__social {
  display: grid;
  grid-template-columns: max-content;
  row-gap: 1rem;
}

.home__social-icon {
  font-size: 1.25rem;
  color: var(--first-color);
}

.home__social-icon:hover {
  color: var(--highlight-color);
  transform: translate(0.1rem);
}

.home__blob {
  width: 200px;
  fill: var(--first-color);
}

.home__blob-img {
  width: 170px;
}

.home__data {
  grid-column: 1/3;
}

.home__title {
  color: var(--highlight-color-lighter);
}

.home__subtitle {
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}

.home__description {
  text-align: justify;
  text-justify: inter-word;
  margin-bottom: var(--mb-2);
}

.home__scroll {
  display: none;
}

.home__scroll {
  color: var(--first-color);
  transition: 0.3s;
}

.home__scroll:hover {
  transform: translateY(0.25rem);
}

.home__scroll-mouse {
  font-size: 2rem;
}

.home__scroll-name {
  font-size: var(--small-font-size);
  color: var(--first-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}

.home__scroll-arrow {
  font-size: 1.25rem;
}
/*==================== BUTTONS ====================*/
.button {
  display: inline-block;
  background: #35374b;
  background-image: -webkit-linear-gradient(top, #1f202b, #3d565e);
  background-image: -moz-linear-gradient(top, #35374b, #50727b);
  background-image: -ms-linear-gradient(top, #35374b, #50727b);
  background-image: -o-linear-gradient(top, #35374b, #50727b);
  background-image: linear-gradient(to bottom, #35374b, #50727b);
  -webkit-border-radius: 15;
  -moz-border-radius: 15;
  border-radius: 15rem;
  font-size: 15px;
  text-decoration: none;
  color: #fff;
  padding: 1rem 1.3rem;
  font-weight: var(--font-medium);
}

.button:hover {
  background: #5c5591;
  background-image: -webkit-linear-gradient(top, #5c5591, #8296bd);
  background-image: -moz-linear-gradient(top, #5c5591, #8296bd);
  background-image: -ms-linear-gradient(top, #5c5591, #8296bd);
  background-image: -o-linear-gradient(top, #5c5591, #8296bd);
  background-image: linear-gradient(to bottom, #5c5591, #8296bd);
}

.button__icon {
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: 0.3s;
}

.button--white {
  background-color: #fff;
  color: var(--first-color);
}

.button--white:hover {
  background-color: #fff;
  /* color: var(--first-color); */
}

.button--flex {
  display: inline-flex;
  align-items: center;
}

.button--small {
  padding: 0.75rem 1rem;
  font-weight: 100;
}

.button--link {
  padding: 0 1em;
  background-color: transparent;
  color: var(--title-color);
}

/*==================== ABOUT ====================*/
.about__img {
  width: 350px;
  border-radius: 0.5rem;
  justify-self: center;
  align-self: center;
}

.about__description {
  text-align: justify;
  margin-bottom: var(--mb-2-5);
}

.about__info {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2-5);
}

.about__info-name {
  font-size: var(--smaller-font-size);
}

.about__info-title {
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--text-color-light);
}

.about__info-title,
.about__info-name {
  display: block;
  text-align: center;
}

.about__buttons {
  display: flex;
  justify-content: center;
}
/*==================== SKILLS ====================*/
.skills__container {
  row-gap: 0;
}
.skills__content {
  padding-inline: 6%;
}

.skills__header {
  display: flex;
  align-items: center;
  /* margin-bottom: var(--mb-2-5); */
  cursor: pointer;
}

.skills__icon,
.skills__arrow {
  font-size: 2rem;
  color: var(--first-color);
}

.skills__icon {
  margin-right: var(--mb-0-75);
}

.skills__title {
  font-size: var(--h3-font-size);
}

.skills__subtitle {
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

.skills__arrow {
  margin-left: auto;
  transition: 0.4s;
}

.skills__titles {
  display: flex;
  justify-content: space-between;
  margin-bottom: var(--mb-0-0);
}

.skills__name {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.skills__bar,
.skills__percantage {
  height: 5px;
  border-radius: 0.25rem;
}

.skills__bar {
  background-color: var(--first-color-lighter);
}

.skills__percantage {
  display: block;
  background-color: var(--first-color);
}

.skills__80 {
  width: 80%;
}

.skills__60 {
  width: 60%;
}

.skills__40 {
  width: 40%;
}

.skills__20 {
  width: 20%;
}

.skills__close .skills__list {
  height: 0;
  overflow: hidden;
}

.skills__open .skills__list {
  height: max-content;
  margin-bottom: var(--mb-2-5);
}

.skills__open .skills__arrow {
  transform: rotate(-180deg);
}

/*==================== QUALIFICATION ====================*/
.qualification__tabs {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2);
}

.qualification__button {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  cursor: pointer;
}

.qualification__button:hover {
  color: var(--first-color);
}

.qualification__icon {
  font-size: 1.8rem;
  margin-right: var(--mb-0-25);
}

.qualification__data {
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
}

.qualification__title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.qualification__subtitle {
  display: inline-block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-1);
}
.qualification__degree {
  display: inline-block;
  font-size: var(--smaller-font-size);
  margin-bottom: var(--mb-0);
}

.qualification__calendar {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.qualification__rounder {
  display: inline-block;
  width: 13px;
  height: 13px;
  background-color: var(--first-color);
  border-radius: 50%;
}

.qualification__line {
  display: block;
  width: 1px;
  height: 100%;
  background-color: var(--first-color);
  transform: translate(6px, -7px);
}

.qualification [data-content] {
  display: none;
}

.qualification__active[data-content] {
  display: block;
}

.qualification__button.qualification__active {
  color: var(--first-color);
}
/*==================== PROJECTS ====================*/
.projects__container {
  gap: 1.5rem;
  grid-template-columns: repeat(2, 1fr);
}

.projects__content {
  position: relative;
  background-color: rgb(241, 241, 239);
  padding: 3.5rem 0.5rem 1.25rem 1.5rem;
  border-radius: 0.25rem;
  box-shadow: 1px 4px 5px rgba(0, 0, 0, 0.15);
  transition: 0.3s;
}

.projects__content:hover {
  box-shadow: 0 11px 16px 0 rgba(0, 0, 0, 0.539);
}

.projects__icon {
  display: block;
  font-size: 1.5rem;
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}

.projects__title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-1);
  font-weight: var(--font-medium);
}

.projects__button {
  cursor: pointer;
  font-size: var(--small-font-size);
}

.projects__button:hover .button__icon {
  transform: translateX(0.25rem);
}

.projects__modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  z-index: var(--z-modal);
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}

.projects__modal-content {
  position: relative;
  background-color: var(--container-color);
  padding: 1.5rem;
  border-radius: 0.5rem;
}

.projects__modal-projects {
  row-gap: 1rem;
}

.projects__modal-project {
  display: flex;
}

.projects__modal-project-ind {
  display: flex;
  padding-left: 5%;
}

.projects__modal-title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1-5);
}

.projects__modal-close {
  position: absolute;
  top: 0.5rem;
  right: 0.5rem;
  font-size: 1.5rem;
  color: var(--first-color);
  cursor: pointer;
}

.projects__modal-icon {
  color: var(--first-color);
  margin-right: var(--mb-0-25);
}

.project-link {
  text-decoration: underline;
}
/* Active Modal */
.active-modal {
  opacity: 1;
  visibility: visible;
}
/*==================== PAPER ====================*/
.paper__container {
  overflow: initial;
}

.paper__content {
  padding: 0 1.5rem;
}
.click_me {
  font-family: "Montserrat Alternates";
  color: #35374b;
  font-weight: 400;
}
.click_me:hover {
  color: rgb(232, 61, 4);
}
.paper__img {
  border-radius: 0.5rem;
  justify-self: center;
}

.paper__button:hover .button__icon {
  transform: translateX(0.25rem);
}

.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}

.swiper-paper-icon {
  font-size: 2rem;
  color: var(--first-color);
}

.swiper-button-prev {
  left: -0.5rem;
}

.swiper-button-next {
  right: -0.5rem;
}

.swiper-horizontal > .swiper-pagination-bullets {
  bottom: -2.5rem;
}

.swiper-pagination-bullet-active {
  background-color: var(--first-color);
}

.swiper-button-prev,
.swiper-button-next,
.swiper-pagination-bullet {
  outline: none;
}

/*==================== CONTACT ME ====================*/
.contact__container {
  row-gap: 3rem;
}

.contact__information {
  display: flex;
  margin-bottom: var(--mb-2);
}

.contact__icon {
  font-size: 2rem;
  color: var(--first-color);
  margin-right: var(--mb-0-75);
}

.contact__title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}

.contact__subtitle {
  font-size: var(--small-font-size);
  color: var(--text-color);
}

.contact__content {
  background-color: #f1f2f8;
  border-radius: 0.5rem;
  padding: 0.75rem 1rem 0.25rem;
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
}

.contact__content span {
  /* position: relative; */
  color: var(--first-color);
}

.contact__label {
  font-size: var(--small-font-size);
  color: var(--first-color);
}

.contact__input {
  width: 100%;
  color: var(--text-color);
  background-color: #f1f2f8;
  font-family: var(--body-font);
  font-size: var(--smaller-font-size);
  border: none;
  outline: none;
  padding: 0.25rem 0.5rem 0.5rem 0;
}

/*==================== FOOTER ====================*/
.footer {
  padding-top: 2rem;
}

.footer__container {
  row-gap: 3.5rem;
}

.footer__bg {
  background-color: var(--first-color-second);
  padding: 2rem 0 3rem;
}

.footer__title {
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-0-25);
}

.footer__subtitle {
  font-size: var(--small-font-size);
}

.footer__links {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 0;
  gap: 0.5rem;
}

.footer__link:hover {
  color: var(--highlight-color);
}

.footer__social {
  font-size: 1.25rem;
  margin-right: var(--mb-1-5);
}

.footer__social:hover {
  color: var(--highlight-color);
}

.footer__copy {
  font-size: var(--smaller-font-size);
  text-align: center;
  color: var(--text-color-light);
  color: #fff;
  margin-top: var(--mb-3);
}

.footer__title,
.footer__subtitle,
.footer__link,
.footer__social {
  color: var(--first-color);
}
/*========== SCROLL UP ==========*/
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -20%;
  background-color: var(--first-color);
  opacity: 0.8;
  padding: 0 0.3rem;
  border-radius: 0.4rem;
  z-index: var(--z-tooltip);
  transition: 0.4s;
}

.scrollup:hover {
  background-color: var(--highlight-color);
}
/* Show scroll */

.scrollup__icon {
  font-size: 1.5rem;
  color: #fff;
}

.show-scroll {
  bottom: 5rem;
}
/*========== SCROLL BAR ==========*/
::-webkit-scrollbar {
  width: 0.7rem;
  background-color: var(--scroll-bar-color);
  border-radius: 0.5rem;
  border: solid #1f202b 2px;
}

::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--text-color-light);
}
/*==================== MEDIA QUERIES ====================*/
/* For small devices */
@media screen and (max-width: 350px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }
  .nav__menu {
    padding: 2rem 0.25rem 4rem;
  }
  .nav__list {
    column-gap: 0;
  }
  .nav__item:hover {
    border-top: solid var(--highlight-color) 2px;
    border-width: 3px;
  }

  .nav__item:hover a {
    color: var(--highlight-color);
  }
  .home__content {
    grid-template-columns: 0.25fr 3fr;
  }

  .home__blob {
    width: 180px;
  }

  .skills__titles {
    font-size: var(--normal-font-size);
  }

  .qualification__data {
    gap: 0.5rem;
  }

  .projects__container {
    grid-template-columns: max-content;
    justify-content: center;
  }

  .projects__content {
    padding-right: 3.5rem;
  }

  .projects__modal {
    padding: 0 0.5rem;
  }

  .project__img {
    width: 200px;
  }

  .testimonial__data,
  .testimonial__header {
    flex-direction: column;
    align-items: center;
  }
  .testimonial__img {
    margin-right: 0;
    margin-bottom: var(--mb-0-25);
  }

  .testimonial__data,
  .testimonial__description {
    text-align: center;
  }

  .videos__content {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .footer__links {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 0;
    gap: 0.5rem;
  }
}

@media screen and (min-width: 450px) {
  .nav__link {
    color: var(--light-grey);
    font-weight: var(--font-medium);
  }
  .nav__item:hover {
    border-top: solid var(--highlight-color) 2px;
    border-width: 3px;
  }

  .nav__item:hover a {
    color: var(--highlight-color);
  }
}

/* For medium devices */

@media screen and (min-width: 568px) {
  .nav__link {
    color: var(--light-grey);
    font-weight: var(--font-medium);
  }
  .nav__item:hover {
    border-top: solid var(--highlight-color) 2px;
    border-width: 3px;
  }
  .nav__item:hover a {
    color: var(--highlight-color);
  }

  .home__content {
    grid-template-columns: max-content 1fr 1fr;
  }
  .home__data {
    grid-column: initial;
  }
  .home__img {
    order: 1;
    justify-self: center;
  }

  .about__container,
  .skills__container,
  .paper__content,
  .project__container,
  .contact__container,
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .qualification__sections {
    display: grid;
    grid-template-columns: 0.6fr;
    justify-content: center;
  }
}

@media screen and (min-width: 768px) {
  .nav__link {
    color: var(--title-color);
    font-weight: var(--font-light);
  }
  .nav__item:hover {
    border-top: solid rgb(252, 249, 249) 2px;
    border-width: 3px;
  }

  .nav__item:hover a {
    color: rgb(252, 249, 249);
  }
  .container {
    margin-left: auto;
    margin-right: auto;
  }

  body {
    margin: 0;
  }

  .section {
    padding: 6rem 0 2rem;
  }

  .section__subtitle {
    margin-bottom: 4rem;
  }

  .header {
    top: 0;
    bottom: initial;
  }

  .header,
  .main,
  .footer__container {
    padding: 0 1rem;
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
    column-gap: 1rem;
  }

  .nav__icon,
  .nav__close,
  .nav__toggle {
    display: none;
  }

  .nav__list {
    display: flex;
    column-gap: 2rem;
  }

  .nav__menu {
    margin-left: auto;
  }

  .change-theme {
    margin: 0;
  }

  .home__container {
    row-gap: 5rem;
  }

  .home__content {
    padding-top: 5.5rem;
    column-gap: 2rem;
  }

  .home__blob {
    width: 270px;
  }

  .home__scroll {
    display: block;
  }

  .home__scroll-button {
    margin-left: 3rem;
  }

  .about__container {
    column-gap: 5rem;
  }

  .about__img {
    width: 350px;
  }

  .about__description {
    text-align: justify;
  }

  .about__info {
    justify-content: space-between;
  }

  .about__buttons {
    justify-content: initial;
  }

  .qualification__tabs {
    justify-content: center;
  }

  .qualification__button {
    margin: 0 var(--mb-1);
  }

  .qualification__sections {
    grid-template-columns: 0.5fr;
  }

  .projects__container {
    grid-template-columns: repeat(3, 218px);
    justify-content: center;
  }

  .projects__icon {
    font-size: 2rem;
  }

  .projects__content {
    padding: 6rem 0 2rem 2.5rem;
  }

  .projects__modal-content {
    width: 450px;
  }

  .paper__img {
    width: 320px;
  }

  .paper__content {
    align-items: center;
  }

  .project {
    text-align: initial;
  }

  .project__bg {
    background: none;
  }

  .project__container {
    background-color: var(--first-color-second);
    border-radius: 1rem;
    padding: 3rem 2.5rem 0;
    grid-template-columns: 1fr max-content;
    column-gap: 3rem;
  }

  .project__data {
    padding-top: 0.8rem;
  }

  .footer__container {
    grid-template-columns: repeat(3, 1fr);
  }

  .footer__bg {
    padding: 3rem 0 3.5rem;
  }

  .footer__links {
    flex-direction: row;
    column-gap: 2rem;
  }

  .footer__socials {
    justify-self: flex-end;
  }

  .footer__copy {
    margin-top: 4.5rem;
  }
}

/* For large devices */

@media screen and (min-width: 1024px) {
  .heder,
  .main,
  .footer__container {
    padding: 0;
  }

  .home__blob {
    width: 320px;
  }

  .home__social {
    transform: translateX(-6rem);
  }

  .projects__container {
    grid-template-columns: repeat(3, 238px);
  }

  .paper__content {
    column-gap: 5rem;
  }

  .swiper-paper-icon {
    font-size: 3.5rem;
  }

  .swiper-button-prev {
    left: -3.5rem;
  }

  .swiper-button-next {
    right: -3.5rem;
  }

  .swiper-horizontal > .swiper-pagination-bullets {
    bottom: -4.5rem;
  }

  .swiper .swiper-pagination-testimonial {
    bottom: 0;
  }

  .contact__form {
    width: 460px;
  }

  .contact__inputs {
    grid-template-columns: repeat(2, 1fr);
  }
}
